Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 282470

Summary: Moderate trelane's gentoo-dev posts
Product: Community Relations Reporter: Ciaran McCreesh <ciaran.mccreesh>
Component: User RelationsAssignee: Gentoo Community Relations Team <comrel>
Status: VERIFIED WONTFIX    
Severity: normal CC: betelgeuse, calchan, dertobi123, leio, lu_zero, musikc, patrick, trelane
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Ciaran McCreesh 2009-08-23 17:55:56 UTC
Andrew Kirch (trelane) has an established history of posting groundless attacks on me, Paludis, PMS and anything he thinks he can connect to me to the gentoo-dev mailing list. This is wasting everyone's time and polluting the atmosphere. Of the 23 posts by him to gentoo-dev that I have archived (the past year or so), all but five have been in some way related to me, Paludis or PMS.

I can dig up links to all of these if people don't have archives going back that far.

I understand he has already been warned about this issue, to which his response was to post to gentoo-dev saying "[response censored by fmmcor and devrel]".

In addition, Andrew has stated in public (#gentoo-council) that:

< trelane> ciaranm: that's put in a manner that seems to be a somewhat knee-jerk reaction. It should be clear that opposing you and everything you do was an initiative I started only after careful consideration.

To reduce the amount of noise and hostility, I'd like to propose the following:

* Moderate Andrew's posts to gentoo-dev@.

* Anything mentioning PMS should be sent to the PMS lead for approval, and not posted if it's found to contain untruths. I can provide archives links showing a consistent pattern of Andrew posting nonsense about PMS if it would be helpful.

* Anything mentioning Paludis should be sent to the Gentoo developers maintaining Paludis, and not posted if it's found to contain untruths or if it's just not on-topic for the list.

* Anything mentioning me should be handled at userrel's discretion.

* Anything else should go through as normal, or at userrel's discretion.
Comment 1 Andrew D Kirch 2009-08-23 18:08:06 UTC
To reduce the amount of noise and hostility I'm requesting that Ciaran, who was fired as a dev and has 6 *rel complaints about him
Comment 2 Andrew D Kirch 2009-08-23 18:10:32 UTC
I've added council for CC purposes.  This bug is both malicious and retaliatory in nature since USERREL took actual action against Ciaran in http://bugs.gentoo.org/show_bug.cgi?id=282157.  Perhaps he's hoping it'll work for him as well.  This is all I ever intend to say/do on this bug.
Comment 3 Ciaran McCreesh 2009-08-23 18:13:55 UTC
Andrew, I'll remind you that I contacted userrel about your behaviour, and they gave you a warning, long before you filed bug 282157. If there's any retaliation going on, it's in your filing of bug 282157. This is merely an extension of my previous complaint regarding your behaviour, since you haven't changed your ways since your previous warning.
Comment 4 Andrew D Kirch 2009-08-23 18:37:05 UTC
(In reply to comment #1)
> To reduce the amount of noise and hostility I'm requesting that Ciaran, who was
> fired as a dev and has 6 *rel complaints about him
> 

somehow this ended up a fragment.  The ending should have been lose his b.g.o access in its entirety.  (I was going to cite the bug that was cited in my next response) Apologies for the confusion, and this is really the last I have to say on this bug
Comment 5 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-08-23 18:45:15 UTC
Adding council members individually to CC as doing through alias doesn't work.
Comment 6 Denis Dupeyron gentoo-dev 2009-08-23 19:00:19 UTC
Why does council have to be involved in user complaints? Please userrel settle this once and for all. The fact that any users are involved with any inside or outside project(s) is irrelevant. Everybody needs to be dealt with in the same manner.

Denis.
Comment 7 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-08-24 00:04:44 UTC
(In reply to comment #6)
> Why does council have to be involved in user complaints? Please userrel settle
> this once and for all. The fact that any users are involved with any inside or
> outside project(s) is irrelevant. Everybody needs to be dealt with in the same
> manner.
> 
> Denis.

Denis,

all I did was fix the CC done by trelane - after being poked by a council member. At this point, userrel hasn't worked on this bug yet and isn't asking anything from the council. I'll remove you all if that's what you want.
Comment 8 Denis Dupeyron gentoo-dev 2009-08-24 21:28:26 UTC
(In reply to comment #7)
> all I did was fix the CC done by trelane - after being poked by a council
> member. At this point, userrel hasn't worked on this bug yet and isn't asking
> anything from the council. I'll remove you all if that's what you want.

Sorry Jorge, I didn't see you were only fixing Andrew's bugspamming. I have no problem being CCed here, I just couldn't figure out why.

However since Andrew appears to want it I'll throw in my opinion. I'll have to admit I haven't seen any suspicious or undesirable behavior from Ciaran lately. His recent postings have actually been pretty tame and devoid of the usual abrasive epithets. I'll wait a bit before calling it remission though because he's definitely had relapses in the past, but I'll encourage him to keep it up.

I couldn't say the same from Andrew. The symptoms are different but the annoyance level is pretty high. He has a marked egocentric and harassing behavior, pointing to (I hope) uncontrolled immaturity. He's actually one of the main reasons I voted to moderate the council channel during meetings. He is clearly not able to make the difference between a meeting and a late-night pub argument. And I'm sure I wasn't the only one thinking of him at that point, consciously or not. His usage of our bugzilla and of our mailing-lists is also obviously abusive.

As a conclusion I'll add a general advice. I have kids and when they're fighting I don't need to know who is right or wrong. All I know is they're both wrong to be fighting and I ground them both right away. Because the more you wait the more unfair the decision seems to everybody.

Denis.
Comment 9 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-09-15 03:37:44 UTC
The following is the resolution to this bug by the User Relations team.

Let's start by our conclusion from a technical viewpoint:
Resolution: CANTFIX - the tools at our disposal don't allow us to provide the fix ciaranm asked for this bug. The current moderation tools aren't flexible enough to allow the detail and depth of mailing lists moderation requested.
Furthermore, previous attempts to moderate the mailing lists and or work in tools to allow that have all failed and are not likely to be revisited.
Finally, outright bans (permanent bans) have yet to receive the support from the User Relations team.

Our conclusion from an analysis of the merit of the claim:
Resolution: WONTFIX - the User Relations team will not accept the request by ciaranm as it would cause extra burden, add an undue "bias" and singling out one particular individual Andrew Kirch (trelane).
Furthermore, the notion that for someone to be able to post about a particular subject the post would need the "approval" of an "authority" in that field, would mean the end of "open" and "public" discussions - which would substantially diminish the value of our mls and directly contradicts Gentoo's Spirit - possibly in a liberal interpreatation, even the Social Contract.
To aggravate matters, the issue of who would be an authority for a particular field and how to chose it would certainly follow. As well as what fields would require an "authority" to review posts and which would be exempt.
Finally, the User Relations team believes the issues that the implementation of this proposal would cause, far outweigh the trouble any single individual is causing at the moment.

As such, we will close this bug as WONTFIX.

For the User Relations team,
Jorge Manuel B. S. Vicetto and Joshua Jackson


As a final note, let me quote the following paragraph from  Denis Dupeyron (calchan) comment, as it clearly seems appropriate to the environment surrounding our mls and the exhibited behaviour by several parties in them:

  As a conclusion I'll add a general advice. I have kids and when they're
  fighting I don't need to know who is right or wrong. All I know is they're
  both wrong to be fighting and I ground them both right away. Because the
  more you wait the more unfair the decision seems to everybody.

Please don't force us to have to follow suit and to treat our users as "kids", when we would hope them to be mature and conscious individuals.
Comment 10 Andrew D Kirch 2009-09-15 03:52:05 UTC
I'd like to request that all userrel and dev restrictions from this bug be removed in the spirit of the Gentoo Social Contract (and honestly so that I don't screw up and assume a bug's been opened again. (sorry again about that jmb)
Comment 11 Ciaran McCreesh 2009-09-15 13:37:57 UTC
(In reply to comment #9)
> Resolution: WONTFIX - the User Relations team will not accept the request by
> ciaranm as it would cause extra burden, add an undue "bias" and singling out
> one particular individual Andrew Kirch (trelane).

If you prefer, I can also file userrel bugs for the other people who regularly troll PMS discussions. I was merely starting with the most recent repeat offender to give userrel time to establish a process. Would you like me to file bugs for the others too?
Comment 12 Andrew D Kirch 2009-09-15 13:51:01 UTC
(In reply to comment #11)
> (In reply to comment #9)
> 
> If you prefer, I can also file userrel bugs for the other people who regularly
> troll PMS discussions. I was merely starting with the most recent repeat
> offender to give userrel time to establish a process. Would you like me to file
> bugs for the others too?
> 

Ciaran not everyone that disagrees with you is a troll, and I certainly am not.  I am a representative of a collaborative project which both uses and contributes back to Gentoo, and works closely with the Gentoo Developers. I find your calling me a troll offensive in the EXTREME, and your attempt to lump my attempt to protect Funtoo from you with any other persons who have difficulties dealing with your acidic and abrasive personality.  This sort of behavior is going to stop, and you are going to apologize for accusing me of trolling.
Comment 13 Andrew D Kirch 2009-09-15 13:52:32 UTC
I find your calling me a troll offensive in the EXTREME, and your attempt to lump
my attempt to protect Funtoo from you with any other persons who have
difficulties dealing with your acidic and abrasive personality to be a deliberate manipulation of the Gentoo system, and contrary to the open standards of the charter under any interpretation.

(buffer ate my homework, sorry for two quick posts)
Comment 14 Ciaran McCreesh 2009-09-15 14:02:16 UTC
I agree Andrew, there are a lot of people who provide useful contributions to the process and a lot of them disagree with me. You are not one of them, and you quite clearly are a troll:

< trelane> ciaranm: I want Paludis to fail. It's unhealthy (or at least the loudest and most visible of it's devs are) for Gentoo.

< trelane> lets be VERY clear on that point. So long as Paludis, and the culture it creates are unhealthy for Gentoo I want it to fail.

< trelane> ciaranm: that's put in a manner that seems to be a somewhat knee-jerk reaction. It should be clear that opposing you and everything you do was an initiative I started only after careful consideration.

< trelane> I'm trying to stop the fight. Right now it seems like the best way to do that is taking you out to a sandbox and beating you with a 2x4.

<+ciaranm> trelane: if you think gentoo should have no devmanual, no versionator, no pms, no paludis, no eapi 3 and no eselect then go for it < trelane> ciaranm: sold.

http://archives.gentoo.org/gentoo-dev/msg_25fa826f628367001d00d376ac079142.xml

http://archives.gentoo.org/gentoo-dev/msg_6751060682763fe7dcba5b483704626a.xml

http://archives.gentoo.org/gentoo-dev/msg_8a73eed463ab540af1e9a86668bcc4f9.xml

http://archives.gentoo.org/gentoo-dev/msg_ac26a63a1558bcc0278b092c80b7c2b0.xml

You rejected a PMS / EAPI based approach to fixing your package.mask problem before you'd even bothered to find out what PMS and EAPI are. Then you waste huge amounts of everyone's time sticking to that position rather than admitting that you were wrong and that all you would have to do to get what you want is create a trivial EAPI funtoo-2.
Comment 15 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2009-09-15 22:57:05 UTC
(In reply to comment #11)
> (In reply to comment #9)
> > Resolution: WONTFIX - the User Relations team will not accept the request by
> > ciaranm as it would cause extra burden, add an undue "bias" and singling out
> > one particular individual Andrew Kirch (trelane).
> 
> If you prefer, I can also file userrel bugs for the other people who regularly
> troll PMS discussions. I was merely starting with the most recent repeat
> offender to give userrel time to establish a process. Would you like me to file
> bugs for the others too?
> 

I believe said bugs would be closed with a similar resolution.

Also to both Andrew and Ciaran, don't argue on the bug.  I would recommend avoiding each other, both on bugzilla and mailing lists.

+A
Comment 16 Joshua Jackson (RETIRED) gentoo-dev 2009-09-16 18:33:06 UTC
(In reply to comment #9)
> As a final note, let me quote the following paragraph from  Denis Dupeyron
> (calchan) comment, as it clearly seems appropriate to the environment
> surrounding our mls and the exhibited behaviour by several parties in them:
> 
>   As a conclusion I'll add a general advice. I have kids and when they're
>   fighting I don't need to know who is right or wrong. All I know is they're
>   both wrong to be fighting and I ground them both right away. Because the
>   more you wait the more unfair the decision seems to everybody.
> 
> Please don't force us to have to follow suit and to treat our users as "kids",
> when we would hope them to be mature and conscious individuals.
> 

Since neither Andrew nor Ciaran were able to take this advice it is now the opinion of the user relations team to take a slightly strong measure with both parties.

As such, both Ciaran and Andrew will not be allowed to access bugzilla resources for one week starting today. Please let this serve as a reminder that access to Gentoo services is a privileged and not a right to be abused for personal differences that seemingly can't be resolved by the parties involved.